Skip to content
Last updated

DeleteProjectTask

Deletes a task associated with a project

Removes a task from the system. This cannot be undone

Request Parameters

ParameterTypeDescriptionRequired
actionstring"DeleteProjectTask"Required
projectidintThe project that owns the task being deletedRequired
taskidintThe task to be deletedRequired

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error
messagestringTask has been deleted

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'DeleteProjectTask',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'orderid' => '1',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'DeleteProjectTask';
$postData = array(
    'orderid' => '1',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success",
    "message": "Task has been deleted"
}

Error Responses

Possible error condition responses include:

  • Project ID is Required
  • Task ID is Required
  • Project ID Not Found
  • Task ID Not Found

Version History

VersionChangelog
1.0Initial Version